<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.prolog.cs.base.gsp.dao.DxiGspDestroyRequestRecordMapper">
<resultMap id="map" type="com.prolog.cs.base.gsp.model.DxiGspDestroyRequestRecord">
	<result column="lineid" property="lineid"/>
	<result column="seqno" property="seqno"/>
	<result column="billid" property="billid"/>
	<result column="billno" property="billno"/>
	<result column="branchid" property="branchid"/>
	<result column="branchcode" property="branchcode"/>
	<result column="branchname" property="branchname"/>
	<result column="consignorid" property="consignorid"/>
	<result column="consignorcode" property="consignorcode"/>
	<result column="consignorname" property="consignorname"/>
	<result column="ref_billtype" property="refBilltype"/>
	<result column="defects_item_type" property="defectsItemType"/>
	<result column="itemid" property="itemid"/>
	<result column="itemcode" property="itemcode"/>
	<result column="itemname" property="itemname"/>
	<result column="item_specs" property="itemSpecs"/>
	<result column="manufacturer" property="manufacturer"/>
	<result column="parernt_itemid" property="parerntItemid"/>
	<result column="category_id" property="categoryId"/>
	<result column="type_code" property="typeCode"/>
	<result column="type_name" property="typeName"/>
	<result column="lot_no" property="lotNo"/>
	<result column="batch_no" property="batchNo"/>
	<result column="pdate_from" property="pdateFrom"/>
	<result column="valid_until" property="validUntil"/>
	<result column="paper_no" property="paperNo"/>
	<result column="approval_number" property="approvalNumber"/>
	<result column="production_place" property="productionPlace"/>
	<result column="barcode" property="barcode"/>
	<result column="pack_size" property="packSize"/>
	<result column="pack_units" property="packUnits"/>
	<result column="defects_reason" property="defectsReason"/>
	<result column="destroy_qty" property="destroyQty"/>
	<result column="destroy_reason" property="destroyReason"/>
	<result column="destroy_site" property="destroySite"/>
	<result column="destroy_mode" property="destroyMode"/>
	<result column="transport_facility" property="transportFacility"/>
	<result column="transport_person" property="transportPerson"/>
	<result column="destroy_site_cond" property="destroySiteCond"/>
	<result column="destroy_executor" property="destroyExecutor"/>
	<result column="destroy_supervisor" property="destroySupervisor"/>
	<result column="dapartment_staff" property="dapartmentStaff"/>
	<result column="bill_date" property="billDate"/>
	<result column="status" property="status"/>
	<result column="remark" property="remark"/>
	<result column="closed_reason" property="closedReason"/>
	<result column="attr_str1" property="attrStr1"/>
	<result column="attr_str2" property="attrStr2"/>
	<result column="attr_str3" property="attrStr3"/>
	<result column="attr_str4" property="attrStr4"/>
	<result column="attr_str5" property="attrStr5"/>
	<result column="attr_str6" property="attrStr6"/>
	<result column="attr_str7" property="attrStr7"/>
	<result column="attr_str8" property="attrStr8"/>
	<result column="attr_str9" property="attrStr9"/>
	<result column="attr_str10" property="attrStr10"/>
	<result column="attr_num1" property="attrNum1"/>
	<result column="attr_num2" property="attrNum2"/>
	<result column="attr_num3" property="attrNum3"/>
	<result column="attr_num4" property="attrNum4"/>
	<result column="attr_num5" property="attrNum5"/>
	<result column="attr_dte1" property="attrDte1"/>
	<result column="attr_dte2" property="attrDte2"/>
	<result column="attr_dte3" property="attrDte3"/>
	<result column="attr_dte4" property="attrDte4"/>
	<result column="attr_dte5" property="attrDte5"/>
	<result column="createby" property="createby"/>
	<result column="createdate" property="createdate"/>
	<result column="lastmodifyby" property="lastmodifyby"/>
	<result column="lastmodifydate" property="lastmodifydate"/>
	<result column="p_enterpriseid" property="pEnterpriseid"/>
	<result column="p_enterprisename" property="pEnterprisename"/>
	<result column="BILLDATE" property="billdate"/>
</resultMap>
</mapper>
